	format	MS COFF
	extrn	___bb_blitz_blitz
	extrn	___bb_clearsilver_clearsilver
	extrn	___bb_standardio_standardio
	extrn	_bah_clearsilver_TCGI
	extrn	_bbNullObject
	extrn	_bbOnDebugEnterScope
	extrn	_bbOnDebugEnterStm
	extrn	_bbOnDebugLeaveScope
	extrn	_bbStringClass
	extrn	_brl_blitz_NullObjectError
	extrn	_brl_standardio_Print
	public	__bb_main
	section	"code" code
__bb_main:
	push	ebp
	mov	ebp,esp
	sub	esp,12
	push	ebx
	cmp	dword [_20],0
	je	_21
	mov	eax,0
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_21:
	mov	dword [_20],1
	mov	dword [ebp-4],_bbNullObject
	push	ebp
	push	_16
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	call	___bb_blitz_blitz
	call	___bb_standardio_standardio
	call	___bb_clearsilver_clearsilver
	push	_7
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	call	dword [_bah_clearsilver_TCGI+48]
	mov	dword [ebp-4],eax
	push	_10
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	_4
	call	_brl_standardio_Print
	add	esp,4
	push	_11
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	eax,dword [ebp-4]
	mov	dword [ebp-8],eax
	cmp	dword [ebp-8],_bbNullObject
	jne	_13
	call	_brl_blitz_NullObjectError
_13:
	mov	eax,dword [ebp-8]
	mov	eax,dword [eax+12]
	mov	dword [ebp-12],eax
	cmp	dword [ebp-12],_bbNullObject
	jne	_15
	call	_brl_blitz_NullObjectError
_15:
	push	dword [ebp-12]
	mov	eax,dword [ebp-12]
	mov	eax,dword [eax]
	call	dword [eax+68]
	add	esp,4
	push	eax
	call	_brl_standardio_Print
	add	esp,4
	mov	ebx,0
_5:
	call	dword [_bbOnDebugLeaveScope]
	mov	eax,ebx
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
	section	"data" data writeable align 8
	align	4
_20:
	dd	0
_17:
	db	"cgitest",0
_18:
	db	"cgi",0
_19:
	db	":TCGI",0
	align	4
_16:
	dd	1
	dd	_17
	dd	2
	dd	_18
	dd	_19
	dd	-4
	dd	0
_8:
	db	"$BMXPATH/mod/bah.mod/clearsilver.mod/tests/cgitest.bmx",0
	align	4
_7:
	dd	_8
	dd	7
	dd	1
	align	4
_10:
	dd	_8
	dd	9
	dd	1
	align	4
_4:
	dd	_bbStringClass
	dd	2147483647
	dd	24
	dw	67,111,110,116,101,110,116,45,116,121,112,101,58,32,116,101
	dw	120,116,47,104,116,109,108,10
	align	4
_11:
	dd	_8
	dd	12
	dd	1
